class DependencyCheck

  def has_partition_utils?
    `which parted`.any?
  end

  def has_filesystem_utils?
    `which mke2fs`
  end

  def has_extraction_utils?
    `which unzip`
  end

  def has_dependencies?
    [ :has_filesystem_utils?, :has_filesystem_utils? ].all do |check|
      self.public_send(check)
    end
  end
end